var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><script src=\"../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What&#39;s New in the 3ds Max 2019 Python API</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What&#39;s New in the 3ds Max 2019 Python API</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"whats-new-in-the-3ds-max-2019-python-api\"></a></div>\n\
<p>This release of 3ds Max introduces some changes and improvements to the Max Python API.</p>\n\
<div class=\'section\'><a id=\"python-version\"></a><h2 id=\"python-version\">Python version</h2></div>\n\
<p>The Python version used by 3ds Max is still 2.7.12. This has not changed in this release.</p>\n\
<div class=\'section\'><a id=\"pyside-version\"></a><h2 id=\"pyside-version\">PySide Version</h2></div>\n\
<p>The included PySide2 version is upgraded from 5.6.2 to 5.6.3.</p>\n\
<div class=\'section\'><a id=\"by-reference-parameter-handling\"></a><h2 id=\"by-reference-parameter-handling\">By-Reference Parameter Handling</h2></div>\n\
<p>The pymxs module now supports functions that take by-reference parameters, with the new <span class=\'code\'>pymxs.mxsreference()</span> function. In previous versions, these parameters were not handled.</p>\n\
<p>For example:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">\n\
rt = pymxs.runtime\n\
s = rt.sphere()\n\
myResultArray = rt.Array()\n\
rt.maxOps.cloneNodes(rt.mySphere2,  cloneType=rt.Name(&quot;reference&quot;), newNodes=pymxs.mxsreference(myResultArray))\n\
print myResultArray\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";