var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><script src=\"../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Getting and setting your file paths</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Getting and setting your file paths</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"getting-and-setting-your-file-paths\"></a></div>\n\
<div class=\'section\'><a id=\"to-obtain-the-list-of-file-paths-used-by-3ds-max\"></a><h2 id=\"to-obtain-the-list-of-file-paths-used-by-3ds-max\">To obtain the list of file paths used by 3ds Max</h2></div>\n\
<p>In <a href=\"#!/url=./developer/maxplus_python_api_introduction/opening_and_saving_files.html\">Opening and saving files</a>, the examples open from and save to the <span class=\'code\'>TempDir</span> used by 3ds Max. By default, 3ds Max also creates directories such as <span class=\'code\'>ScriptsDir</span>, <span class=\'code\'>ExpressionDir</span> and so forth. This list of paths is managed by the <span class=\'code\'><a href=\"javascript:void(0)\" data-symbol=\"PathManager\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_path_manager.html&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">PathManager</a></span> class and you can access its properties to obtain this list, for example, as follows:</p>\n\
<div class=\'codeBlock\'><pre>import MaxPlus\n\
print &#39;The Scripts directory is&#39;, <a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.PathManager.GetScriptsDir\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_path_manager.html#a59f20c4e493adaed0f36b213cd17fcf0&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.PathManager.GetScriptsDir</a>()\n\
print &#39;The Temp directory is&#39;, <a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.PathManager.GetTempDir\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_path_manager.html#a018f5e645b8969054efc29a9f4559fc6&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.PathManager.GetTempDir</a>()\n\
</pre></div><div class=\'section\'><a id=\"tool-for-finding-paths-and-versions\"></a><h2 id=\"tool-for-finding-paths-and-versions\">Tool for finding paths and versions</h2></div>\n\
<p>The <span class=\'code\'>demoPyVersionTool.py</span> script provides you with useful information such as: your 3ds Max install path, your 3ds Max path environment variable, your Python environment variable, your Python version and prefix, and whether you have imported MaxPlus or other modules.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";