var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><script src=\"../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Obtaining a list of assets in the scene</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Obtaining a list of assets in the scene</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"obtaining-a-list-of-assets-in-the-scene\"></a></div>\n\
<p>Use the <span class=\'code\'><a href=\"javascript:void(0)\" data-symbol=\"AssetManager.GetAssets()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_asset_manager.html#a5e2c38145fe47e37458e7808fa7cb107&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">AssetManager.GetAssets()</a></span> method to obtain an array of all the assets in your scene. For each asset, you can obtain data such as the file name and its type (for example, animation, pre-render script, bitmaps and so forth).</p>\n\
<p>For a list of available assets, see <span class=\'code\'>demoAssets.py</span>.</p>\n\
<p>Use the <span class=\'code\'><a href=\"javascript:void(0)\" data-symbol=\"AssetManager.CreateAsset()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_asset_manager.html#a7dee562bcc22d4fdbc746256cd8705a4&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">AssetManager.CreateAsset()</a></span> method to create an asset, for example, as follows:</p>\n\
<div class=\'codeBlock\'><pre>asset = <a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.AssetManager.CreateAsset\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_asset_manager.html#a7dee562bcc22d4fdbc746256cd8705a4&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.AssetManager.CreateAsset</a>(&quot;maps\\\\fir.tga&quot;) \n\
print asset.GetResolvedFileName()\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>Note:</strong> In this example, the print statement may return an empty string if 3ds Max cannot find the resolved file name.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";