var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><script src=\"../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Opening and saving files</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Opening and saving files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"opening-and-saving-files\"></a></div>\n\
<p>Use the <span class=\'code\'><a href=\"javascript:void(0)\" data-symbol=\"FileManager.Open()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_file_manager.html#a0da2645847a448b65fb6fae58753302a&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">FileManager.Open()</a></span> and <span class=\'code\'><a href=\"javascript:void(0)\" data-symbol=\"FileManager.Save()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_file_manager.html#ab3b5aa3d513a728929a0bf2019760e7c&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">FileManager.Save()</a></span> methods to open and save your files.</p>\n\
<p>To open a file:</p>\n\
<div class=\'codeBlock\'><pre>fm = <a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.FileManager\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_file_manager.html&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.FileManager</a>\n\
fm.Open(<a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.PathManager.GetTempDir\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_path_manager.html#a018f5e645b8969054efc29a9f4559fc6&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.PathManager.GetTempDir</a>() + r&quot;\\test3.max&quot;)\n\
</pre></div><p>To save a file:</p>\n\
<div class=\'codeBlock\'><pre>fm = <a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.FileManager\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_file_manager.html&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.FileManager</a>\n\
fm.Save(<a href=\"javascript:void(0)\" data-symbol=\"MaxPlus.PathManager.GetTempDir\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_path_manager.html#a018f5e645b8969054efc29a9f4559fc6&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">MaxPlus.PathManager.GetTempDir</a>() + r&quot;\\test.max&quot;)\n\
</pre></div><p>To get the file name and its path, use the <span class=\'code\'><a href=\"javascript:void(0)\" data-symbol=\"FileManager.GetFileNameAndPath()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;py_ref/class_max_plus_1_1_file_manager.html#ad7fcf240326bc24df85a6b7d2bf36359&quot;,&quot;title&quot;:&quot;MaxPlus Python API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../../&quot;}]\">FileManager.GetFileNameAndPath()</a></span> method:</p>\n\
<div class=\'codeBlock\'><pre>print fm.GetFileNameAndPath()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";